* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

.navbar {
    width: 100%;
    height: 70px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 40px;
    background: #111111;
    border-bottom: 1px solid #292929;
    font-family: Arial, Helvetica, sans-serif;
    position: relative;
    z-index: 1000;

}

.nav-logo {
    color: #9b59ff;
    text-decoration: none;
    font-size: 20px;
    font-weight: bold;
    letter-spacing: 3px;
    transition: 0.3s;
}

.nav-logo:hover {
    color: #c084ff;

}

.nav-list {
    list-style: none;
    display: flex;
    align-items: center;
    gap: 35px;
}

.nav-list li {
    list-style: none;
}

.nav-list a {
    position: relative;
    color: #eeeeee;
    text-decoration: none;
    font-size: 15px;
    letter-spacing: 1px;
    transition: 0.3s;
}

.nav-list a:hover {
    color: #9b59ff;
}

.nav-list a::after {
    content: "";
    position: absolute;
    width: 0;
    height: 2px;
    left: 0;
    bottom: -7px;
    background: #9b59ff;
    transition: 0.3s;
}

.nav-list a:hover::after {
    width: 100%;
}


/*icon do hamburguer*/

.mobile-menu {
    display: none;
    cursor: pointer;
}

.mobile-menu div {
    width: 30px;
    height: 2px;
    background: #ffffff;
    margin: 7px;
    transition: 0.3s;
}
@keyframes navLinkFade {
    from {
        opacity: 0;
        transform: translateX(50px);
    }

    to {
        opacity: 1;
        transform: translateX(0);
    }

}

@media (max-width: 768px) {
    body {
        overflow-x: hidden;
    }

    .navbar {

        height: 65px;

        padding: 0 20px;

    }


    .nav-logo {
        font-size: 16px;
        letter-spacing: 2px;

    }


    .nav-list {
        position: absolute;
        top: 65px;
        right: 0;
        width: 70%;
        height: calc(100vh - 65px);
        background: #111111;
        border-left: 1px solid #292929;
        flex-direction: column;
        align-items: center;
        justify-content: space-evenly;
        transform: translateX(100%);
        transition: transform 0.3s ease-in;
    }


    .nav-list li {
        margin: 0;
        opacity: 0;
    }

    .nav-list a {
        font-size: 17px;
    }

    .mobile-menu {
        display: block;
    }

    .nav-list.active {
        transform: translateX(0);
    }

}

.mobile-menu.active .line1 {
    transform: rotate(-45deg) translate(-7px, 6px);
}


.mobile-menu.active .line2 {
    opacity: 0;

}

.mobile-menu.active .line3 {
    transform: rotate(45deg) translate(-6px, -6px);
}

@media (max-width: 480px) {
    .nav-list {
        width: 80%;
    }
    .nav-logo {
        font-size: 14px;

    }

}
